| Home | Libraries | People | FAQ | More

##### operator<< (1 of 9 overloads)

Format the url to the output stream.

###### Synopsis

Defined in header `<boost/url/url_view_base.hpp>`

    std::ostream&
    operator<<(
        std::ostream& os,
        url_view_base const& u);

###### Description

This function serializes the url to the specified output stream. Any percent-escapes are emitted as-is; no decoding is performed.

###### Example

    url_view u( "http://www.example.com/index.htm" );
    std::stringstream ss;
    ss << u;
    assert( ss.str() == "http://www.example.com/index.htm" );

###### Effects

    return os << u.buffer();

###### Complexity

Linear in `u.buffer().size()`

###### Exception Safety

Basic guarantee.

###### Return Value

A reference to the output stream, for chaining

###### Parameters

Name | Description
--- | ---
`os` | The output stream to write to.
`u` | The url to write.

Convenience header `<boost/url.hpp>`